import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    token: 0,
    user_id: null,
    userinfo: {},
    is_login:false
  },
  mutations: {
    set_token(state, token) {
      wx.setStorageSync('token', token)
      wx.setStorageSync('is_login', true)
      state.token = token
      state.is_login = true
    }
  },
  getters:{
    get_token(state){
      return state.token
    },
    get_login_status(state){
      return state.is_login
    }
  },

})
